html {
    font-size: 62.5%;
}

* {
    box-sizing: border-box;
}

body {
    font-family: 'Playfair Display', serif;
    text-align: center;
    background-color: #ddffc8;
    color: #4a4a4a;
    margin: 0;
    padding: 0;
    font-size: 1.6rem;
    background-repeat: no-repeat;
    background-size: cover;

    
}
.container {
    max-width: 700px;
    margin: 50px auto;
    padding: 20px;
}
h1 {
    font-family: 'Dancing Script', cursive;
    font-size: 3em;
    color: #344D0E;
}
.date {
    font-size: 1.5em;
    margin: 20px 0;
    color: #344D0E;
}

.countdown {
    font-size: 1.2em;
    margin-top: 20px;
    color: #344D0E;
    background: #fff;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: transform 0.3s ease-in-out;
    padding: 10px;
    
}

.countdown:hover{
    transform: translateY(-5px);
}

/*Seção convite*/
.intro {
    font-size: 1.6rem;
}
.invite p strong {
    font-size: 1.6rem;
}
.data {
    font-size: 3rem;
    font-weight: medium;
    color: #344D0E;
    margin: 20px 0;
}
.mensagem {
    font-size: 1.6rem;
    line-height: 1.5;
}
.invite {
    position: relative;
    border: 2px solid #344D0E;
    background: url('../images/background.jpg') no-repeat center center/cover;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50vh; 
    width: 100%;   
    text-align: center;
    font-family: 'Playfair Display', serif;
    color: #080808;
    padding: 20px;
    margin-top: 15px;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: transform 0.3s ease-in-out;
}



.invite:hover{
    transform: translateY(-5px);
}

/*Seção Historia*/
.history  {
    border: 2px solid #344D0E;
    margin-top: 40px;
    padding: 20px;
    background: #fff;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: transform 0.3s ease-in-out;
    cursor: default;
    line-height: 2;
}

.history:hover{
    transform: translateY(-5px);
}

/*Seção Galeria*/

.photos {
    display: flex;
    overflow-x: auto;
    gap: 10px;
    padding: 10px;
    white-space: nowrap;
    scroll-snap-type: x mandatory;
}

.gallery img {
    width: 350px;
    height: auto;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
    scroll-snap-align: center;
}

.gallery img:hover {
    transform: scale(1.05);
}

/*Seção confirmação*/
.timeline {
    border: 2px solid #344D0E;
    margin-top: 40px;
    padding: 20px;
    background: #fff;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: transform 0.3s ease-in-out;
    cursor: default;
    line-height: 2; 

}

.timeline:hover {
    transform: translateY(-5px);
}

.timeline .event i {
    color: #344D0E;
    font-size: 50px;
}

.timeline {
    font-size: 1.8rem;
}

/*Seção confirmação*/

.confirmation  {
    border: 2px solid #344D0E;
    margin-top: 40px;
    padding: 20px;
    background: #fff;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: transform 0.3s ease-in-out;
    cursor: default;
    line-height: 2;
}

.confirmation:hover{
    transform: translateY(-5px);
}
.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}

.lightbox img {
    max-width: 80%;
    max-height: 80%;
    border-radius: 10px;
}

.lightbox.active {
    display: flex;
}

.rsvp-button {
    background-color: #99BC85;
    color: white;
    padding: 12px 25px;
    text-decoration: none;
    font-size: 1.2em;
    border-radius: 25px;
    display: inline-block;
    margin: 20px 0;
    margin-bottom: 50px;
    transition: 0.3s;
}
.rsvp-button:hover {
    background-color: #76993D;
}
